Package org.eclipse.lemminx.services.extensions.save

## Interface ISaveContext

All Superinterfaces:
  `IXMLDocumentProvider`

All Known Implementing Classes:
  `AbstractSaveContext`, `XMLTextDocumentService.SaveContext`

    public interface ISaveContext
    extends IXMLDocumentProvider

Save context API.

### Nested Class Summary

Nested Classes
`static class` `ISaveContext.SaveContextType` The save context type: DOCUMENT: a document is saved. SETTINGS: a settings is saved.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `collectDocumentToValidate​(Predicate<DOMDocument> validateDocumentPredicate)` This method is called to collect document to validate after the save.
`Object` `getSettings()` Returns the settings which has changed and null otherwise.
`ISaveContext.SaveContextType` `getType()` Returns the save context type.
`String` `getUri()` Returns the document URI which was saved and null if it's a settings which was saved.

### Methods inherited from interface org.eclipse.lemminx.services.IXMLDocumentProvider

`getAllDocuments, getDocument`

### Method Detail

#### collectDocumentToValidate

    void collectDocumentToValidate​(Predicate<DOMDocument> validateDocumentPredicate)

This method is called to collect document to validate after the save.

Parameters:
  `validateDocumentPredicate` -

#### getType

    ISaveContext.SaveContextType getType()

Returns the save context type.

Returns:
  the save context type.

#### getUri

    String getUri()

Returns the document URI which was saved and null if it's a settings which was saved.

Returns:
  the document URI which was saved and null if it's a settings which was saved.

#### getSettings

    Object getSettings()

Returns the settings which has changed and null otherwise.

Returns:
  the settings which has changed and null otherwise.